<?php
  /**************************************************************************\
  * phpGroupWare                                                             *
  * http://www.phpgroupware.org/                                             *
  * This file written by Patrick Walsh <patrick@phpgroupware.org>            *
  * ------------------------------------------------------------------------ *
  * Please see the documentation for these classes in the README file in     *
  * this directory.                                                          *
  * ------------------------------------------------------------------------ *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  /* $Id: address.class.php,v 1.1 2000/12/13 06:48:39 pjw Exp $ */

class cdb_address_class extends cdb_generic_class {

  /////////////////////////////////////////////////
 ////////////// Public Variables /////////////////
/////////////////////////////////////////////////
/* These vars are declared like: 'var $varname;' */
/* These vars will be accessed directly.  There 
   should be very few of these as most will be 
   accessed through get and let functions.       */

  /////////////////////////////////////////////////
 /////////////// Local Variables /////////////////
/////////////////////////////////////////////////
/* PHP does not support local vars.  Use         */
/* 'var $_varname;' to signify local vars.       */
/* These vars are either not accessed by outside
   functions, or are accessed only through get 
   and let functions.                            */

  /////////////////////////////////////////////////
 //////////// Constructor Functions //////////////
/////////////////////////////////////////////////
	function cdb_entity_class() {
	  $this->_=array(
	    /* add vars that have get/let interface
	       to this array.                       */
	    "city" => "",
	    "street" => "",
	    "country" => "",
	    "postalcode" => ""
	  );
	}

  /////////////////////////////////////////////////
 ////////////// Public Functions /////////////////
/////////////////////////////////////////////////
	function get_address_id() {

	}

	function get_city() {
		return $this->get("city");
	}

	function let_city($new_city) {
		return $this->let("city", $new_city);
	}

	function get_street() {
		return $this->get("street");
	}

	function let_street($new_street) {
		return $this->let("street", $new_street);
	}

	function get_country() {
		return $this->get("country");
	}

	function let_country($new_country) {
		return $this->let("country", $new_country);
	}

	function get_postalcode() {
		return $this->get("postalcode");
	}

	function let_postalcode($new_postalcode) {
		return $this->let("postalcode", $new_postalcode);
	}

	function save() {

	}

	function load($id) {

	}

}
?>
